Subject: ELF

From: Phil Norman <[email-masked]>
Date: Sun, 28 Jun 1998 12:02:44 +0100 (BST)

Hi!

Built GCC & Binutils as crosscompilers on the PC, tried compiling glibc.

Everything gets built up to stdio-common/errlist.os which dies 
complaining about an unrecognised type.  We tracked down the problem to 
line 556 of the error output where it says:

.type __old_sys_errlist,@object

-- the @ sign is being treated as a line-comment and the "object" is
stripped before gas gets to process it.  Anyone think of a good fix for
it?  I assume `@object' has a different meaning to `%object' and
`#object'. 

Matthew Wilcox & Phil Norman.

-- 
Rule of programming #3: The number of bugs which exist in a program is
        approximately equal to the square of the number of bugs which
        you think exist.

Phil Norman, mailing from Exeter University.
email:	[email-masked]
URL:	http://newton.ex.ac.uk/general/ug/norman

unsubscribe: body of `unsubscribe linux-arm' to [email-masked]

---

From: Russell King - ARM Linux Admin <[email-masked]>
Date: Sun, 28 Jun 1998 12:26:58 +0100 (BST)

> it?  I assume `@object' has a different meaning to `%object' and

@object and #object mean the same thing.  On the ARM, #object should be
used instead of @object.
   _____
  |_____| ------------------------------------------------- ---+---+-
  |   |        Russell King       [email-masked]      --- ---
  | | | |  http://www.arm.uk.linux.org/~rmk/armlinux.html    /  /  |
  | +-+-+                                                     --- -+-
  /   |               THE developer of ARM Linux              |+| /|\
 /  | | |                                                     ---  |
    +-+-+ -------------------------------------------------  /\\\  |

---

From: Philip Blundell <[email-masked]>
Date: Sun, 28 Jun 1998 15:48:46 +0100

>@object and #object mean the same thing.  On the ARM, #object should be

Actually `%object' is the current official recommendation.  But you're right, 
@ # and % are all synonymous.  `#' turned out not to be such a good bet 
because the NetBSD kernel won't build like that (it uses .type in CPP macros).

p.

---

From: Philip Blundell <[email-masked]>
Date: Sun, 28 Jun 1998 15:53:54 +0100

>.type __old_sys_errlist,@object

Can you work out where this .type directive is coming from?  It'll either be 
GCC generating it or the result of a macro expansion from one of the glibc 
sysdep.h files.  In either case as Russell says it needs to be corrected to 
use % rather than @.  It looks like I may have lost a patch somewhere.

p.

---

From: Russell King - ARM Linux Admin <[email-masked]>
Date: Sun, 28 Jun 1998 17:10:35 +0100 (BST)

> To: Russell King - ARM Linux Admin <[email-masked]>
> cc: [email-masked] (Phil Norman), [email-masked],
>         [email-masked]

Erm, excuse me, but this is getting silly.  I don't want 3 copies of
the same message:
	[email-masked]
	[email-masked]
	[email-masked] -> [email-masked]
Argh!
   _____
  |_____| ------------------------------------------------- ---+---+-
  |   |        Russell King       [email-masked]      --- ---
  | | | |  http://www.arm.uk.linux.org/~rmk/armlinux.html    /  /  |
  | +-+-+                                                     --- -+-
  /   |               THE developer of ARM Linux              |+| /|\
 /  | | |                                                     ---  |
    +-+-+ -------------------------------------------------  /\\\  |

---

From: James Craig <[email-masked]>
Date: Sun, 28 Jun 1998 18:23:55 +0100 (BST)

> 	[email-masked] -> [email-masked]
Somehow, I manage not to get multiple copies of messages even when people
*do* do that. Is it just pine noticing that they are all the same message
or is it just luck or something?

--
James Craig <[email-masked]>
            <[email-masked]>